package cn.axzo.msg.center.notices.integration.client;

/**
 * 钉钉客户端
 *
 * @author zhaoyong
 * @see DingDingClient
 * @since 2021-07-12 11:59
 */
public interface DingDingClient {

  /**
   * 钉钉群通知验证码
   * @param mobile
   * @param title
   * @param param
   */
  void notifyMockMessage(String mobile, String title, String param);

  /**
   * 单条短信发送失败
   * @param templateNo
   * @param requestNo
   * @param errorMsg
   */
  void notifySingleMessage(String templateNo, String requestNo, String errorMsg);

  /**
   * 批量短信发送失败
   * @param templateNo
   * @param batchNo
   * @param errorMsg
   */
  void notifyBatchMessage(String templateNo, String batchNo, String errorMsg);

  /**
   * 渠道回调异常
   * @param channelName
   * @param callbackData
   * @param errorMsg
   */
  void notifyChannelCallback(String channelName, String callbackData, String errorMsg);

  /**
   * RocketMQ 不可用
   * @param errorMsg
   */
  void notifyRocketMqError(String errorMsg);

}
